osg::ValueObject::SetValueVisitor Class Reference

`#include <ValueObject>`

Inheritance diagram for osg::ValueObject::SetValueVisitor:

## Public Member Functions

virtual | ~SetValueVisitor ()
virtual void | apply (bool &)
virtual void | apply (char &)
virtual void | apply (unsigned char &)
virtual void | apply (short &)
virtual void | apply (unsigned short &)
virtual void | apply (int &)
virtual void | apply (unsigned int &)
virtual void | apply (float &)
virtual void | apply (double &)
virtual void | apply (std::string &)
virtual void | apply (osg::Vec2b &)
virtual void | apply (osg::Vec3b &)
virtual void | apply (osg::Vec4b &)
virtual void | apply (osg::Vec2ub &)
virtual void | apply (osg::Vec3ub &)
virtual void | apply (osg::Vec4ub &)
virtual void | apply (osg::Vec2s &)
virtual void | apply (osg::Vec3s &)
virtual void | apply (osg::Vec4s &)
virtual void | apply (osg::Vec2us &)
virtual void | apply (osg::Vec3us &)
virtual void | apply (osg::Vec4us &)
virtual void | apply (osg::Vec2i &)
virtual void | apply (osg::Vec3i &)
virtual void | apply (osg::Vec4i &)
virtual void | apply (osg::Vec2ui &)
virtual void | apply (osg::Vec3ui &)
virtual void | apply (osg::Vec4ui &)
virtual void | apply (osg::Vec2f &)
virtual void | apply (osg::Vec3f &)
virtual void | apply (osg::Vec4f &)
virtual void | apply (osg::Vec2d &)
virtual void | apply (osg::Vec3d &)
virtual void | apply (osg::Vec4d &)
virtual void | apply (osg::Quat &)
virtual void | apply (osg::Plane &)
virtual void | apply (osg::Matrixf &)
virtual void | apply (osg::Matrixd &)
virtual void | apply (osg::BoundingBoxf &)
virtual void | apply (osg::BoundingBoxd &)
virtual void | apply (osg::BoundingSpheref &)
virtual void | apply (osg::BoundingSphered &)

## Constructor & Destructor Documentation

## ~SetValueVisitor()

virtual osg::ValueObject::SetValueVisitor::~SetValueVisitor | ( |  | ) |

inline virtual

## Member Function Documentation

## apply() [1/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | bool & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

Referenced by osg::TemplateValueObject< T >::set().

## apply() [2/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | char & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

## apply() [3/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | double & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

## apply() [4/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | float & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

## apply() [5/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | int & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

## apply() [6/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::BoundingBoxd & |  | ) |

inline virtual

## apply() [7/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::BoundingBoxf & |  | ) |

inline virtual

## apply() [8/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::BoundingSphered & |  | ) |

inline virtual

## apply() [9/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::BoundingSpheref & |  | ) |

inline virtual

## apply() [10/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Matrixd & |  | ) |

inline virtual

## apply() [11/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Matrixf & |  | ) |

inline virtual

## apply() [12/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Plane & |  | ) |

inline virtual

## apply() [13/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Quat & |  | ) |

inline virtual

## apply() [14/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2b & |  | ) |

inline virtual

## apply() [15/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2d & |  | ) |

inline virtual

## apply() [16/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2f & |  | ) |

inline virtual

## apply() [17/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2i & |  | ) |

inline virtual

## apply() [18/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2s & |  | ) |

inline virtual

## apply() [19/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2ub & |  | ) |

inline virtual

## apply() [20/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2ui & |  | ) |

inline virtual

## apply() [21/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec2us & |  | ) |

inline virtual

## apply() [22/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3b & |  | ) |

inline virtual

## apply() [23/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3d & |  | ) |

inline virtual

## apply() [24/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3f & |  | ) |

inline virtual

## apply() [25/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3i & |  | ) |

inline virtual

## apply() [26/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3s & |  | ) |

inline virtual

## apply() [27/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3ub & |  | ) |

inline virtual

## apply() [28/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3ui & |  | ) |

inline virtual

## apply() [29/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec3us & |  | ) |

inline virtual

## apply() [30/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4b & |  | ) |

inline virtual

## apply() [31/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4d & |  | ) |

inline virtual

## apply() [32/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4f & |  | ) |

inline virtual

## apply() [33/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4i & |  | ) |

inline virtual

## apply() [34/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4s & |  | ) |

inline virtual

## apply() [35/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4ub & |  | ) |

inline virtual

## apply() [36/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4ui & |  | ) |

inline virtual

## apply() [37/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | osg::Vec4us & |  | ) |

inline virtual

## apply() [38/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | short & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

## apply() [39/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | std::string & |  | ) |

inline virtual

## apply() [40/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | unsigned char & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

## apply() [41/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | unsigned int & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

## apply() [42/42]

virtual void osg::ValueObject::SetValueVisitor::apply | ( | unsigned short & |  | ) |

inline virtual

Reimplemented in osg::SetScalarValue< T >.

The documentation for this class was generated from the following file:

- ValueObject